#! /bin/sh

CURRENT_DIR=`pwd`
KERNEL_DIR="sys"
SRC_DIR="src"

rm -f ${CURRENT_DIR}/*.patch

for ORIG in `find ${KERNEL_DIR} -type f -print | grep "\.orig$"` ; do
	NEW=`echo ${ORIG} | sed -e s/\.orig//g`
	NEW_basename=`basename ${NEW}`
	NEW_dirname=${SRC_DIR}/`dirname ${NEW}`
	echo -n "Copying ${NEW_basename}*... "
	mkdir -p ${NEW_dirname} && \
	cp -p ${ORIG} ${NEW} ${NEW_dirname}
	if [ $? -gt 0 ]; then
		echo "FAILURE"
		exit 1
	else
		echo "OK"
	fi
	echo -n "Making ${NEW_basename}.patch... "
	diff -du ${ORIG} ${NEW} > ${CURRENT_DIR}/${NEW_basename}.patch
	if [ $? -gt 1 ]; then
		echo "FAILURE"
		exit 1
	else
		echo "OK"
	fi
done

exit 0


